//script for wench


void main( void )
{

preload_seq(221);
preload_seq(223);
preload_seq(227);
preload_seq(229);


int &myrand;
sp_brain(&current_sprite, 16);
Debug("Hi, current sprite is &current_sprite!");
sp_base_walk(&current_sprite, 220);
sp_speed(&current_sprite, 1);

//set starting pic

sp_pseq(&current_sprite, 223);
sp_pframe(&current_sprite, 1);

mainloop:
wait(2500);
  unfreeze(&current_sprite);
if (&temp4hold == 1)
  {
   //dink is gonna fight
sp_speed(&current_sprite, 2);
sp_timing(&current_sprite, 0);
  }

sp_speed(&current_sprite, 1);
sp_timing(&current_sprite, 33);


&myrand = random(50, 1);

  if (&myrand == 1)
  {
  freeze(&current_sprite);
  say_stop_npc("`#再来一杯吗？", &current_sprite);
  }

  if (&myrand == 2)
  {
  freeze(&current_sprite);
  say_stop_npc("`#我好累，啊.", &current_sprite);
  }

  if (&myrand == 3)
  {
  freeze(&current_sprite);
  say_stop_npc("`#脚好痛..", &current_sprite);
  }


  if (&myrand == 4)
  {
  freeze(&current_sprite);
  say_stop_npc("`#我能休息下吗？", &current_sprite);

  if (&temp4hold == 1)
  {
    goto mainloop;
  }
  say_stop_npc("`4地狱也结冰了吗？", &temphold);

  }



goto mainloop;
}


void hit( void )
{
freeze(&current_sprite);
wait(400);
say_stop_npc("`#用你的眼睛看，不要动手。", &current_sprite);
wait(800);
goto mainloop;
}

void talk( void )
{

 freeze(1);
 freeze(&current_sprite);
         choice_start()
         "和她约会"
         "嘲笑"
		 (&king > 0) "纳她为妃"
         "离开"
         choice_end()

        if (&result == 1)
        {

       if (&story > 15)
       {
        wait(400);
         say_stop("呆会儿能跟我去吃些东西吗？", 1);
        wait(400);
         say_stop("`#啊！当然！大家听到了吗？大英雄小森林要和我约会也！", &current_sprite);
        wait(400);
         say_stop("啊，这个称号不错，很快就能习惯了...", 1);
   unfreeze(1);
   goto mainloop;
   return;
         }

        wait(400);
         say_stop("呆会儿能跟我去吃些东西吗？", 1);
        wait(400);
         say_stop("`#对不起，我还要工作呢。", &current_sprite);
        wait(400);
         say_stop("啊.", 1);

        }

        if (&result == 2)
        {
        wait(400);
         say_stop("嘿，小妞，这里的酒多少钱？", 1);
        wait(400);
         say_stop("`#两枚金币，先生。", &current_sprite);
        wait(400);
         say_stop("你又是多少呢？", 1);
        wait(400);
         say_stop("`#我不卖！你个色鬼！", &current_sprite);
        wait(400);
         say_stop("不要这样嘛，甜心。我口袋里有三枚金币呢！", 1);
        wait(400);
         say_stop("`#滚开！！", &current_sprite);
        }
	 if (&result == 3)
	 { wait (400);
		say_stop("小姐，我是国王小丁克，你愿意当我的妃子吗？",1);
		wait(400);
		say_stop("`#这，这是真的吗？我当然愿意！", &current_sprite);
		//加入过场动画
		&wenchwife = 1;
	 }

   unfreeze(1);
   goto mainloop;
   return;

}

